#include <bits/stdc++.h>
using namespace std;
long long n;
long long const maxn = 100005;

struct Point
{
    int x;
    int y;
};

long long ans[maxn];
Point points[maxn];
long long dist[5000][5000];


long long d(int a,int b)
{
    if(a<=5000 && b<=5000)
    {
        if(dist[a][b] != 0)
            return dist[a][b];
        dist[a][b] = (a)*(a)+(b)*(b);
        return dist[a][b];
    }
    return (a)*(a)+(b)*(b);

}

void solve()
{
    ans[1]=0;
    for(int i=2; i<=n; i++)
    {
        ans[i]= ans[i-1];
        for(int j=1; j<=i; j++)
        {
            ans[i]+=d(abs(points[i].x - points[j].x),abs(points[i].y - points[j].y));
        }
    }
}


int main()
{
    cin>>n;
    for(int i=1; i<=n; i++)
    {
        cin>>points[i].x>>points[i].y;
    }
    solve();
    cout<<ans[n];
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
}

